Zum Hauptinhalt springen
GET
/
marketing
/
campaigns
/
2026-03
/
{campaignGuid}
/
assets
/
{assetType}
Retrieve assets
curl --request GET \
  --url https://api.hubapi.com/marketing/campaigns/2026-03/{campaignGuid}/assets/{assetType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "<string>",
      "metrics": {},
      "name": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

assetType
string
erforderlich

The type of asset to list for the specified campaign.

campaignGuid
string
erforderlich

The unique identifier of the campaign.

Abfrageparameter

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

endDate
string

The end date for filtering assets, in YYYY-MM-DD format.

limit
string

The maximum number of results to display per page.

startDate
string

The start date for filtering assets, in YYYY-MM-DD format.

Antwort

successful operation

results
object[]
erforderlich

An array of public campaign assets. Each item in the array is a reference to a PublicCampaignAsset object.

paging
object
Last modified on April 9, 2026